=== debian/changelog ===
glibc (2.3.5cs2005q3.2-5.osso12) unstable; urgency=low

  * Added linuxthreads-poll.diff. Fixes: NB#44468

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 17 Nov 2006 14:09:55 +0200

glibc (2.3.5cs2005q3.2-5.osso11) unstable; urgency=low

  * Fixed en_US and pl_PL locales

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 16 Nov 2006 20:31:05 +0200

glibc (2.3.5cs2005q3.2-5.osso10) unstable; urgency=low

  * Fix bashism in postinst
  * Removed zone_banner calls to avoid use of busybox's date.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 12 Oct 2006 14:26:45 +0300

glibc (2.3.5cs2005q3.2-5.osso9) unstable; urgency=low

  * Take away parallel build.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  4 Oct 2006 14:40:05 +0300

glibc (2.3.5cs2005q3.2-5.osso8) experimental; urgency=low

  * Revert EABI syscalls patch
  * Handle libpthread like a normal library. Thanks to Eero.
    Fixes: NB#41486
  * Fix DEB_BUILD_OPTIONS handling. Thanks to Eero.
    Fixes: NB#40445
  * Fix libc.so linker script search. Thanks to Eero.
    Fixes: NB#40443
  * applied tls_modid-assert-fix
  * removed linux-kernel-headers build dependence

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  4 Oct 2006 11:23:29 +0300

glibc (2.3.5cs2005q3.2-5.osso6) experimental; urgency=low

  * Make arch minimum version 2.6.14 to fix scratchbox build.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 27 Sep 2006 13:01:33 +0300

glibc (2.3.5cs2005q3.2-5.osso5) experimental; urgency=low

  * Depend of correct headers.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 14 Sep 2006 18:46:08 +0300

glibc (2.3.5cs2005q3.2-5.osso4) experimental; urgency=low

  * Use EABI syscalls. Fixes: NB#38468

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 14 Sep 2006 18:33:01 +0300

glibc (2.3.5cs2005q3.2-5.osso3) experimental; urgency=low

  * use PLD. Fixes: NB#37628

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 21 Aug 2006 13:02:22 +0300

glibc (2.3.5cs2005q3.2-5.osso2) experimental; urgency=low

  * memset() optimization back for this branch. Fixes: NB#35862 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  2 Aug 2006 11:45:54 +0300

glibc (2.3.5cs2005q3.2-5.osso1) experimental; urgency=low

  * Creating branch, 5.osso
  * Added -fno-omit-frame-pointer to some functions to simplify debugging

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 31 Jul 2006 16:51:00 +0300
