## glibc 2.5.0-1osso7

=== debian/changelog ===
glibc (2.5.0-1osso7) unstable; urgency=low

  * Build i386 --with-fp. Fixes: NB#65505

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 05 Sep 2007 16:03:44 +0300

glibc (2.5.0-1osso6) unstable; urgency=low

  * postinst: removed debian stuff. Fixes: NB#65423 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 17 Aug 2007 12:04:10 +0300

glibc (2.5.0-1osso5) unstable; urgency=low

  * Removed crypt/speeds.c, legal issues. Fixes: NB#53920
  * Fixed shlibver for the current version

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 11 Apr 2007 14:22:35 +0300

glibc (2.5.0-1osso4) unstable; urgency=low

  * ARMEL: use VFP for libm.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 13 Feb 2007 16:28:03 +0200

glibc (2.5.0-1osso3) unstable; urgency=low

  * Added kernel version hack for armel

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  7 Feb 2007 16:30:54 +0200

glibc (2.5.0-1osso2.1) unstable; urgency=low

  * linux-kernel-headers depend temporary added

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 25 Jan 2007 14:59:18 +0200

glibc (2.5.0-1osso2) unstable; urgency=low

  * Added optimized functions 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 16 Jan 2007 13:22:39 +0200

glibc (2.5.0-1osso1) unstable; urgency=low

  * New upstream release
  * NPTL build
  * pure EABI build

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  5 Dec 2006 12:29:34 +0200
