## glibc 2.5.0-1osso9

=== debian/changelog ===
glibc (2.5.0-1osso9) unstable; urgency=low

  * Update timezone data to 2008b. Fixes: NB#82346
  * Do not remove CP1252 gconv module. Fixes: NB#83152

 -- Jari Tenhunen <jari.tenhunen@nokia.com>  Wed, 28 May 2008 15:13:53 +0300

glibc (2.5.0-1osso8) unstable; urgency=low

  * Added gconv modules

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 21 Nov 2007 14:34:24 +0200
