## glibc 2.5.0-1osso10

=== debian/changelog ===
glibc (2.5.0-1osso10) unstable; urgency=low

  * Fix in libc.postinst, Fixes: NB#86183
  * Fix typo in debian/control, Fixes: NB#88589

 -- Grigori Timonen <grigori.timonen@nokia.com>  Thu, 18 Sep 2008 11:18:44 +0300
