## glibc 2.5.1-1eglibc19+0m5

=== debian/changelog ===
glibc (2.5.1-1eglibc19+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- jussi hakala <ext-jussi.hakala@nokia.com>  Fri, 28 Aug 2009 10:43:27 +0300

glibc (2.5.1-1eglibc19) unstable; urgency=low

  * Better backtrace implementation for armel (Fixes: NB#118496)
    patch by Tommi Rantala

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 26 Aug 2009 11:31:27 +0300

glibc (2.5.1-1eglibc18+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- jussi hakala <ext-jussi.hakala@nokia.com>  Tue, 18 Aug 2009 11:03:26 +0300

glibc (2.5.1-1eglibc18) unstable; urgency=low

  * Fix for NEON optimized memcpy
  * Fixes: NB#103765 Add eventfd support

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Thu, 13 Aug 2009 16:02:29 +0300

glibc (2.5.1-1eglibc17+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 08 Jul 2009 15:06:26 +0300

glibc (2.5.1-1eglibc17) unstable; urgency=low

  * Fixes: NB#119648 - updated zone.tab with support to GMT+- format

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 08 Jul 2009 14:32:22 +0300

glibc (2.5.1-1eglibc16+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 03 Jul 2009 17:39:22 +0300

glibc (2.5.1-1eglibc16) unstable; urgency=low

  * Fixes: NB#126121 NEON optimizations for memcpy function
  * Fixes: NB#126047 syslog call optimization in case no syslog installed

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 03 Jul 2009 16:43:28 +0300

glibc (2.5.1-1eglibc15+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 12 Jun 2009 12:24:28 +0300

glibc (2.5.1-1eglibc15) unstable; urgency=low

  * forces /bin/sh as the ldd shell in armel build

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 12 Jun 2009 11:32:25 +0300

glibc (2.5.1-1eglibc14+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 05 Jun 2009 16:04:25 +0300

glibc (2.5.1-1eglibc14) unstable; urgency=low

  * Fixed locales package dependencies

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 05 Jun 2009 14:00:31 +0300

glibc (2.5.1-1eglibc13+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 25 May 2009 11:22:31 +0300

glibc (2.5.1-1eglibc13) unstable; urgency=low

  * applies the tzdata patch to i386 too
  * Fixes: NB#118415

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  May, 25 May 2009 10:58:31 +0300

glibc (2.5.1-1eglibc12) unstable; urgency=low

  * Defines a new __gnu_mcount_nc entry point for ARM EABI profiling support
  * Removed udeb packages from build
  * Fixes: NB#108117

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 30 Apr 2009 10:43:45 +0300

glibc (2.5.1-1eglibc11+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 06 Apr 2009 14:31:24 +0300

glibc (2.5.1-1eglibc11) unstable; urgency=low

  * Fixes: NB#104420 - implement SHMLBA correctly for ARM

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 06 Apr 2009 12:41:45 +0300

glibc (2.5.1-1eglibc10) unstable; urgency=low

  * Fixes: NB#104741 make stack non-executable

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 10 Mar 2009 12:22:45 +0200

glibc (2.5.1-1eglibc9) unstable; urgency=low

  * Updated sysdeps/i386/dl-trampoline.S to make running la-trace on
    x86 target possible.
  * Removed gcc-3.4 entries from build-deps
  * Fixes: NB#100061

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 17 Feb 2009 17:40:45 +0200

glibc (2.5.1-1eglibc8) unstable; urgency=low

  * modified fix to get backtraces for noreturn functions to
    use -fno-omit-frame-pointer and -mapcs-frame instead of -O0

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 02 Dec 2008 16:53:45 +0200

glibc (2.5.1-1eglibc7) unstable; urgency=low

  * adds iso-2022 encoding, fixes: NB#85297
  * adds CP1252 encoding, fixes: NB#92227
  * updates stale timezone data, fixes: NB#92229

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 11 Nov 2008 17:43:45 +0200

glibc (2.5.1-1eglibc6) unstable; urgency=low

  * Does not reset timezone to UTC when upgraded
  * Fixes: NB#88466

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 10 Nov 2008 15:43:45 +0200

glibc (2.5.1-1eglibc5) unstable; urgency=low

  * Added -O0 for armel abort(), exit(), _exit() and assert() functions
    to be able to get backtraces.
  * Added -fgnu89-inline to CFLAGS to suppress inlining warnings during
    compilation.
  * Fixes: NB#88617

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 04 Nov 2008 18:30:45 +0200

glibc (2.5.1-1eglibc4) unstable; urgency=low

  * Does not copy debug symbols from /usr/lib/debug/*.* to the -dbg package
  * Commented out #include <asm/page.h> for arm since it's not provided
    anymore by the linux-kernel-headers package.

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 07 Oct 2008 15:18:45 +0300

glibc (2.5.1-1eglibc3) unstable; urgency=low

  * Repackage with new upstream source from cs2007q3
  * Adjust packaging accordingly
  * Tidy up the changelog

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 17 Sep 2008 11:44:45 +0300
