## glibc 2.5.1-1eglibc20%2b0m5

=== debian/changelog ===
glibc (2.5.1-1eglibc20+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 03 Nov 2009 13:43:32 +0200

glibc (2.5.1-1eglibc20) unstable; urgency=low

  * Fixes: NB#145126 Added CP437 codepage for i386

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 03 Nov 2009 13:23:27 +0200
